Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sqs.model
Class AddPermissionRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.sqs.model.AddPermissionRequest

    public class AddPermissionRequest

extends AmazonWebServiceRequest

Container for the parameters to the `AddPermission operation`.

The AddPermission action adds a permission to a queue for a specific principal. This allows for sharing access to the queue.

When you create a queue, you have full control access rights for the queue. Only you (as owner of the queue) can grant or deny permissions to the queue. For more information about these permissions, see Shared Queues in the Amazon SQS Developer Guide.

See Also:
  `AmazonSQS.addPermission(AddPermissionRequest)`

Constructor Summary
`AddPermissionRequest()` Default constructor for a new AddPermissionRequest object.
`AddPermissionRequest(String queueUrl, String label, List<String> aWSAccountIds, List<String> actions)` Constructs a new AddPermissionRequest object.

Method Summary
`List<String>` | `getActions()` The action the client wants to allow for the specified principal.
`List<String>` | `getAWSAccountIds()` The AWS account number of the principal who will be given permission.
`String` | `getLabel()`
`String` | `getQueueUrl()`
`void` | `setActions(Collection<String> actions)` The action the client wants to allow for the specified principal.
`void` | `setAWSAccountIds(Collection<String> aWSAccountIds)` The AWS account number of the principal who will be given permission.
`void` | `setLabel(String label)`
`void` | `setQueueUrl(String queueUrl)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`AddPermissionRequest` | `withActions(Collection<String> actions)` The action the client wants to allow for the specified principal.
`AddPermissionRequest` | `withActions(String... actions)` The action the client wants to allow for the specified principal.
`AddPermissionRequest` | `withAWSAccountIds(Collection<String> aWSAccountIds)` The AWS account number of the principal who will be given permission.
`AddPermissionRequest` | `withAWSAccountIds(String... aWSAccountIds)` The AWS account number of the principal who will be given permission.
`AddPermissionRequest` | `withLabel(String label)` Returns a reference to this object so that method calls can be chained together.
`AddPermissionRequest` | `withQueueUrl(String queueUrl)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddPermissionRequest

    public AddPermissionRequest()

  Default constructor for a new AddPermissionRequest object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### AddPermissionRequest

    public AddPermissionRequest(String queueUrl,
                                String label,
                                List<String> aWSAccountIds,
                                List<String> actions)

  Constructs a new AddPermissionRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `queueUrl` -
    `label` -
    `aWSAccountIds` - The AWS account number of the principal who will be given permission. The principal must have an AWS account, but does not need to be signed up for Amazon SQS.
    `actions` - The action the client wants to allow for the specified principal.

Method Detail

### getQueueUrl

    public String getQueueUrl()

  Returns:

### setQueueUrl

    public void setQueueUrl(String queueUrl)

  Parameters:
    `queueUrl` -

### withQueueUrl

    public AddPermissionRequest withQueueUrl(String queueUrl)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `queueUrl` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLabel

    public String getLabel()

  Returns:

### setLabel

    public void setLabel(String label)

  Parameters:
    `label` -

### withLabel

    public AddPermissionRequest withLabel(String label)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `label` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAWSAccountIds

    public List<String> getAWSAccountIds()

  The AWS account number of the principal who will be given permission. The principal must have an AWS account, but does not need to be signed up for Amazon SQS.

  Returns:
    The AWS account number of the principal who will be given permission. The principal must have an AWS account, but does not need to be signed up for Amazon SQS.

### setAWSAccountIds

    public void setAWSAccountIds(Collection<String> aWSAccountIds)

  The AWS account number of the principal who will be given permission. The principal must have an AWS account, but does not need to be signed up for Amazon SQS.

  Parameters:
    `aWSAccountIds` - The AWS account number of the principal who will be given permission. The principal must have an AWS account, but does not need to be signed up for Amazon SQS.

### withAWSAccountIds

    public AddPermissionRequest withAWSAccountIds(String... aWSAccountIds)

  The AWS account number of the principal who will be given permission. The principal must have an AWS account, but does not need to be signed up for Amazon SQS.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `aWSAccountIds` - The AWS account number of the principal who will be given permission. The principal must have an AWS account, but does not need to be signed up for Amazon SQS.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAWSAccountIds

    public AddPermissionRequest withAWSAccountIds(Collection<String> aWSAccountIds)

  The AWS account number of the principal who will be given permission. The principal must have an AWS account, but does not need to be signed up for Amazon SQS.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `aWSAccountIds` - The AWS account number of the principal who will be given permission. The principal must have an AWS account, but does not need to be signed up for Amazon SQS.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getActions

    public List<String> getActions()

  The action the client wants to allow for the specified principal.

  Returns:
    The action the client wants to allow for the specified principal.

### setActions

    public void setActions(Collection<String> actions)

  The action the client wants to allow for the specified principal.

  Parameters:
    `actions` - The action the client wants to allow for the specified principal.

### withActions

    public AddPermissionRequest withActions(String... actions)

  The action the client wants to allow for the specified principal.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `actions` - The action the client wants to allow for the specified principal.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withActions

    public AddPermissionRequest withActions(Collection<String> actions)

  The action the client wants to allow for the specified principal.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `actions` - The action the client wants to allow for the specified principal.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.